package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF1F2Response {

    @Parameter(name = "InstPtKey")
    Long instPtKey();

    @Parameter(name = "KulKey")
    Long kulKey();

    @Parameter(name = "ProcessResult")
    String processResult();

    @Parameter(name = "RWS_ApplicationClientDetail")
    java.util.List<MWF1F2RWSApplicationClientDetail> rWSApplicationClientDetail();

    @Parameter(name = "RWS_ShortApps")
    java.util.List<MWF1F2RWSShortApps> rWSShortApps();

    @Parameter(name = "WfId")
    String wfId();

}